package com.dcsoft.system.mapper;

import com.dcsoft.system.domain.SysPeople;
import com.dcsoft.system.domain.SysPeopleOther;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 人员管理Mapper接口
 *
 * @author nichun
 * @date 2023-03-08
 */
public interface SysPeopleOtherMapper
{
    /**
     * 查询人员管理
     *
     * @param id 人员管理主键
     * @return 人员管理
     */
    public SysPeopleOther selectSysPeopleOtherById(Long id);

    /**
     * 查询人员管理列表
     *
     * @param sysPeople 人员管理
     * @return 人员管理集合
     */
    public List<SysPeopleOther> selectSysPeopleOtherList(@Param("sysPeopleOther") SysPeopleOther sysPeople, @Param("list") List<String> list);

    /**
     * 新增人员管理
     *
     * @param sysPeople 人员管理
     * @return 结果
     */
    public int insertSysPeopleOther(SysPeopleOther sysPeople);

    /**
     * 修改人员管理
     *
     * @param sysPeople 人员管理
     * @return 结果
     */
    public int updateSysPeopleOther(SysPeopleOther sysPeople);

    /**
     * 删除人员管理
     *
     * @param id 人员管理主键
     * @return 结果
     */
    public int deleteSysPeopleOtherById(Long id);

    /**
     * 批量删除人员管理
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSysPeopleOtherByIds(Long[] ids);

    SysPeopleOther selectByGuid(SysPeopleOther sysPeople);


    SysPeopleOther selectSysPeopleOtherByUserId(Long userId);

    SysPeopleOther selectSysPeopleOtherByBranchUser(@Param("branchName") String branchName,@Param("userName") String userName);

    SysPeopleOther selectSysPeopleOtherByGh(String gh);

    SysPeopleOther selectSysPeopleOtherByPhoneUser(SysPeopleOther sysPeople);

    List<SysPeopleOther> queryPeopleInfo();

    List<SysPeopleOther> queryPeople(List<String> collectStr);

    SysPeopleOther queryPeopleDetails(String details);

    SysPeopleOther selectSysPeopleOtherByUserName(String userName);

    public int deleteSysPeopleOtherByGuid(String guid);

    void updatePeople(SysPeopleOther people);

    String selectDoorNo(Long id);

    String selectPeopleById(String card);

    void updatePeopleInfo(SysPeopleOther sysPeople);

    SysPeopleOther queryPeopleById(String id);

    SysPeopleOther selectSysPeopleOtherByOpenId(String openid);

    SysPeopleOther selectSysPeopleOtherGh(@Param("phone")String phone,@Param("userName") String userName);

    SysPeopleOther queryPeopleName(String phone);
}
